List number compliance cases
curl --request GET \
--url https://api.pyai.com/v1/telephony/compliance-cases \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pyai.com/v1/telephony/compliance-cases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pyai.com/v1/telephony/compliance-cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "ncc_...",
"object": "<string>",
"project_id": "<string>",
"rules_snapshot": {
"available": true,
"registry_version": "<string>",
"source_ids": [
"<string>"
],
"frozen_at": 123,
"config": {}
},
"document_requests": [
{
"id": "<string>",
"document_type": "<string>",
"label": "<string>",
"required": true,
"accepted_mime_types": [
"<string>"
],
"max_bytes": 123
}
],
"uploads": [
{
"id": "<string>",
"document_request_id": "<string>",
"object_ref": "<string>",
"generation": "<string>",
"file_name": "<string>",
"mime_type": "<string>",
"size_bytes": 123,
"sha256": "<string>",
"uploaded_at": 123,
"retention_delete_at": 123
}
],
"extractions": [
{
"id": "<string>",
"upload_id": "<string>",
"provider_id": "<string>",
"processing_profile": "<string>",
"failure_reason": "<string>",
"attempts": 123,
"fields": [
{
"field": "<string>",
"value": "<string>",
"confidence": 0.5,
"provenance": {},
"pii_class": "<string>",
"redacted": true
}
],
"cost_micros": 123,
"model_version": "<string>",
"latency_ms": 1,
"started_at": 123,
"completed_at": 123
}
],
"timeline": [
{}
],
"version": 2,
"number_type": "<string>",
"capabilities": [
"<string>"
],
"use_case": "<string>",
"carrier": "<string>",
"network_status": "<string>",
"continuation_reason": "<string>",
"attestation_requests": [
{
"id": "<string>",
"text": "<string>",
"required": true
}
],
"corrections": [
{}
],
"matches": [
{}
],
"attestations": [
{}
],
"carrier_packets": [
{}
],
"submissions": [
{}
],
"created_at": 123,
"updated_at": 123,
"retention_delete_at": 123
}
]
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>"
}
}Telephony
List number compliance cases
GET
/
v1
/
telephony
/
compliance-cases
List number compliance cases
⌘I